package com.ruoyi.system.mapper.projectV2;

import java.util.List;
import com.ruoyi.system.domain.projectV2.ZsyzShqxXm;

/**
 * 招商引资_审核期限_项目Mapper接口
 * 
 * @author ruoyi
 * @date 2023-02-27
 */
public interface ZsyzShqxXmMapper 
{
    /**
     * 查询招商引资_审核期限_项目
     * 
     * @param id 招商引资_审核期限_项目主键
     * @return 招商引资_审核期限_项目
     */
    public ZsyzShqxXm selectZsyzShqxXmById(Long id);

    /**
     * 查询招商引资_审核期限_项目列表
     * 
     * @param zsyzShqxXm 招商引资_审核期限_项目
     * @return 招商引资_审核期限_项目集合
     */
    public List<ZsyzShqxXm> selectZsyzShqxXmList(ZsyzShqxXm zsyzShqxXm);

    /**
     * 新增招商引资_审核期限_项目
     * 
     * @param zsyzShqxXm 招商引资_审核期限_项目
     * @return 结果
     */
    public int insertZsyzShqxXm(ZsyzShqxXm zsyzShqxXm);

    /**
     * 修改招商引资_审核期限_项目
     * 
     * @param zsyzShqxXm 招商引资_审核期限_项目
     * @return 结果
     */
    public int updateZsyzShqxXm(ZsyzShqxXm zsyzShqxXm);

    /**
     * 删除招商引资_审核期限_项目
     * 
     * @param id 招商引资_审核期限_项目主键
     * @return 结果
     */
    public int deleteZsyzShqxXmById(Long id);

    /**
     * 批量删除招商引资_审核期限_项目
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZsyzShqxXmByIds(Long[] ids);
}
